export const getLabel = (key: string): string =>
  ({
    self_assessment: 'Self assessment',
    online_tool: 'Online tool (Cool Farm, SBGAF)',
    climate_active: 'Climate Active Assessment',
    unknown: 'Unknown',
    soil_conservation: 'Soil conservation',
    carbon_sequestration: 'Carbon sequestration',
    reduce_tillage: 'Reduce tillage',
    crop_residue: 'Return crop residues to the soil',
    agroforestry: 'Establish agroforestry systems',
    cover_crop: 'Cover cropping',
    nutrient_management: 'Enhance nitrogen management through nutrient management planning',
    feed_additives: 'Use of livestock feed additives',
    rotational_grazing: 'Implement rotational/cell grazing',
    enteric_fermentation:
      'Using high quality feed that will reduce methane released from enteric fermentation',
    manure_management: 'Manure management',
    fuel_switching: 'Fuel switching',
    farm_energy_audit:
      'Conduct an on-farm, all-fuel energy assessment to identify energy saving opportunities',
    hvac_mainenance: 'Ensure that all heating and cooling systems are in good working order',
    automated_hvac:
      'Use timers, sensors or variable speed drives on ventilation, heating, cooling and lighting systems',
    electic_equipment: 'Replace fossil-fuel powered equipment with electrical pumps and motors',
    energy_production: 'On farm energy production',
    anaerobic_digestion: 'Anaerobic digestion',
    goethermal: 'Geothermal',
    solar_thermal: 'Solar thermal',
    wind: 'Wind',
    photovoltaic: 'Solar panels (photovoltaic)',
    battery: 'Rechargeable batteries',
    endangered_community: 'Threatened species, if yes free text',
    endangered_habitat: 'Threatened species habitat, if yes free text',
    woodland: 'Woodland',
    forest: 'Forest',
    wetland: 'Wetland',
    creek: 'Creek',
    river: 'River',
    weed_pest_control: 'Controlling weeds or pests',
    fencing: 'Fencing',
    water_point: 'Water points',
    habitat_restoration: 'Habitat restoration',
    habitat_connectivity: 'Improving connectivity between habitats',
    planting: 'Planting',
    other: 'Other',
  }[key.trim()] || key.trim());
